Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.standalone
Class XmlReport

    java.lang.Object
      org.jboss.aop.standalone.XmlReport

public class XmlReport
extends Object

Comment

Version:
  $Revision: 1.17 $
Author:
  Bill Burke

Constructor Summary
`XmlReport()`

Method Summary
`static String` | `getClassMetadataXml(int indent, PrintWriter pw, ClassAdvisor advisor)`
`static String` | `getConstructorMetadataXml(int indent, PrintWriter pw, ClassAdvisor advisor)`
`static String` | `getDefaultMetadataXml(int indent, PrintWriter pw, ClassAdvisor advisor)`
`static String` | `getFieldMetadataXml(int indent, PrintWriter pw, ClassAdvisor advisor)`
`static StringBuffer` | `getMetadataXml(int indent, ClassAdvisor advisor, SimpleMetaData metadata)`
`static String` | `getMethodMetadataXml(int indent, PrintWriter pw, ClassAdvisor advisor)`
`static void` | `indenter(Writer w, int indent)`
`static void` | `outputAdvisor(int indent, PrintWriter pw, ClassAdvisor advisor, String baseName)`
`static void` | `outputChain(int indent, PrintWriter pw, Interceptor[] chain)`
`static void` | `outputConCallers(int indent, PrintWriter pw, HashMap called)`
`static void` | `outputMetadata(int indent, PrintWriter pw, ClassAdvisor advisor)`
`static void` | `outputMethodCallers(int indent, PrintWriter pw, HashMap called)`
`static void` | `outputPackage(int indent, PrintWriter pw, Package root)`
`static void` | `outputUnboundBindings(int indent, PrintWriter pw)`
`protected static String` | `simpleType(Class type)`
`static String` | `toXml()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlReport

    public XmlReport()

Method Detail

### toXml

    public static String toXml()

### indenter

    public static void indenter(Writer w,
                                int indent)

### simpleType

    protected static String simpleType(Class type)

### outputPackage

    public static void outputPackage(int indent,
                                     PrintWriter pw,
                                     Package root)

### outputAdvisor

    public static void outputAdvisor(int indent,
                                     PrintWriter pw,
                                     ClassAdvisor advisor,
                                     String baseName)

### outputMethodCallers

    public static void outputMethodCallers(int indent,
                                           PrintWriter pw,
                                           HashMap called)

### outputConCallers

    public static void outputConCallers(int indent,
                                        PrintWriter pw,
                                        HashMap called)

### outputChain

    public static void outputChain(int indent,
                                   PrintWriter pw,
                                   Interceptor[] chain)

### outputUnboundBindings

    public static void outputUnboundBindings(int indent,
                                             PrintWriter pw)

### outputMetadata

    public static void outputMetadata(int indent,
                                      PrintWriter pw,
                                      ClassAdvisor advisor)

### getDefaultMetadataXml

    public static String getDefaultMetadataXml(int indent,
                                               PrintWriter pw,
                                               ClassAdvisor advisor)

### getClassMetadataXml

    public static String getClassMetadataXml(int indent,
                                             PrintWriter pw,
                                             ClassAdvisor advisor)

### getFieldMetadataXml

    public static String getFieldMetadataXml(int indent,
                                             PrintWriter pw,
                                             ClassAdvisor advisor)

### getConstructorMetadataXml

    public static String getConstructorMetadataXml(int indent,
                                                   PrintWriter pw,
                                                   ClassAdvisor advisor)

### getMethodMetadataXml

    public static String getMethodMetadataXml(int indent,
                                              PrintWriter pw,
                                              ClassAdvisor advisor)

### getMetadataXml

    public static StringBuffer getMetadataXml(int indent,
                                              ClassAdvisor advisor,
                                              SimpleMetaData metadata)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.